<?php

declare(strict_types=1);

namespace A2G\A2gProducts\Domain\Repository;

/**
 * This file is part of the "Products" Extension for TYPO3 CMS.
 *
 * For the full copyright and license information, please read the
 * LICENSE.txt file that was distributed with this source code.
 *
 * (c) 2021 Raphael Martin <raphy.martin@gmail.com>, none
 */

/**
 * The repository for ProductVariants
 */
class ProductVariantsRepository extends \TYPO3\CMS\Extbase\Persistence\Repository {

    /**
     * @var array
     */
    protected $defaultOrderings = [
        'sorting' => \TYPO3\CMS\Extbase\Persistence\QueryInterface::ORDER_ASCENDING
    ];
}
