<?php

declare(strict_types=1);

/*
 * Click nbfs://nbhost/SystemFileSystem/Templates/Licenses/license-default.txt to change this license
 * Click nbfs://nbhost/SystemFileSystem/Templates/Scripting/PHPClass.php to edit this template
 */

namespace A2G\A2gProducts\Domain\Traits;

use A2G\A2gProducts\Domain\Repository\FilterOptionsRepository;

/**
 * Description of InjectFilterOptionsRepositoryTrait
 *
 * @author Raphael Martin
 */
trait InjectFilterOptionsRepositoryTrait {
    
    /**
     * 
     * @var FilterOptionsRepository
     */
    protected $filteroptionRepository = null;


    /**
     * @param FilterOptionsRepository $filteroptionRepository
     */
    public function injectFilterOptionsRepository(FilterOptionsRepository $filteroptionRepository) {
        $this->filteroptionRepository = $filteroptionRepository;
    }

}
