<?php

/*
 * Click nbfs://nbhost/SystemFileSystem/Templates/Licenses/license-default.txt to change this license
 * Click nbfs://nbhost/SystemFileSystem/Templates/Scripting/PHPClass.php to edit this template
 */

namespace A2G\A2gProducts\Domain\Traits;

use A2G\A2gProducts\Domain\Repository\FiltersRepository;

/**
 * Description of InjectFiltersRepositoryTrait
 *
 * @author Raphael Martin
 */
trait InjectFiltersRepositoryTrait {
    
    /**
     *
     * @var FiltersRepository
     */
    protected $filtersRepository = null;

    /**
     * @param FiltersRepository $filtersRepository
     */
    public function injectFiltersRepository(FiltersRepository $filtersRepository) {
        $this->filtersRepository = $filtersRepository;
    }
}
