<?php 

declare(strict_types=1);

namespace A2G\A2gProducts\User;

use TYPO3\CMS\Backend\Utility\BackendUtility;
        
class TypoScript
{
    /**
     * @param string
     * @param array
     * @return string
     */
    public function productBreadrumb(string $content, array $conf): string
    {
        $queryParams = $GLOBALS['TYPO3_REQUEST']->getQueryParams() ?? [];
        if (!isset($queryParams['tx_a2gproducts_a2gproductsdetail']['product'])) {
            return '';
        }
        $value = $queryParams['tx_a2gproducts_a2gproductsdetail']['product'];
        $record = BackendUtility::getRecord('tx_a2gproducts_domain_model_products', $value);
        return $record['title'];
    }
    /**
     * @param string
     * @param array
     * @return string
     */
    public function ingredientBreadrumb(string $content, array $conf): string
    {
        $queryParams = $GLOBALS['TYPO3_REQUEST']->getQueryParams() ?? [];
        if (!isset($queryParams['tx_a2gproducts_ingredientsdetail']['ingredient'])) {
            return '';
        }
        $value = $queryParams['tx_a2gproducts_ingredientsdetail']['ingredient'];
        $record = BackendUtility::getRecord('tx_a2gproducts_domain_model_ingredients', $value);
        return $record['title'];
    }
}