//=include google-analytics/GaProduct.js
//=include google-analytics/GaProducts.js
//=include google-analytics/GaPromotion.js
//=include google-analytics/GaPromotions.js
//=include google-analytics/GaCheckout.js
//=include google-analytics/GaPurchase.js
//=include google-analytics/GaRefund.js
//=include google-analytics/GaRefunds.js



// GaProduct test
var gaProduct = new GaProduct('test', 3234, 323.23, 'brand', 'cat', 'var');
gaProduct.productClick('url');
gaProduct.detail({'list': 'Apparel Gallery'});
gaProduct.addToCart();
gaProduct.removeFromCart();

// GaProducts test
var gaProducts = new GaProducts(gaProduct);
gaProducts.push(new GaProduct('tes2t', 32334, 3233.23, 'bradd', 'caddt', 'vardd'));
gaProducts.impressions();
gaProducts.addToCart();
gaProducts.removeFromCart();

// GaPromotion test
var gaPromotion = new GaPromotion('id', 'name', 'creative', 'postion');
gaPromotion.promotionClick('url');

// GaPromotions test
var gaPromotions = new GaPromotions(gaPromotion);
gaPromotions.promoView();

// GaCheckout test
var gaCheckout = new GaCheckout();
gaCheckout.checkout('step', 'option', gaProducts, 'url');
gaCheckout.checkoutOption('step', 'option');

// GaPurchase test
var gaPurchase = new GaPurchase('id', 'affiliation', 'revenue', 'tax', 'shipping', 'coupon');
gaPurchase.purchase(gaProducts);

// GaRefund test
var gaRefund = new GaRefund('id');
gaRefund.refund();

// GaRefunds test
var gaRefunds = new GaRefunds(gaRefund);
gaRefunds.refund(gaProducts);
