<?php

defined('TYPO3_MODE') || die();

call_user_func(static function () {

    \TYPO3\CMS\Core\Utility\ExtensionManagementUtility::addLLrefForTCAdescr('tx_a2gproducts_domain_model_products', 'EXT:a2g_products/Resources/Private/Language/locallang_csh_tx_a2gproducts_domain_model_products.xlf');
    \TYPO3\CMS\Core\Utility\ExtensionManagementUtility::allowTableOnStandardPages('tx_a2gproducts_domain_model_products');

    \TYPO3\CMS\Core\Utility\ExtensionManagementUtility::addLLrefForTCAdescr('tx_a2gproducts_domain_model_categories', 'EXT:a2g_products/Resources/Private/Language/locallang_csh_tx_a2gproducts_domain_model_categories.xlf');
    \TYPO3\CMS\Core\Utility\ExtensionManagementUtility::allowTableOnStandardPages('tx_a2gproducts_domain_model_categories');

    \TYPO3\CMS\Core\Utility\ExtensionManagementUtility::addLLrefForTCAdescr('tx_a2gproducts_domain_model_filters', 'EXT:a2g_products/Resources/Private/Language/locallang_csh_tx_a2gproducts_domain_model_filters.xlf');
    \TYPO3\CMS\Core\Utility\ExtensionManagementUtility::allowTableOnStandardPages('tx_a2gproducts_domain_model_filters');

    \TYPO3\CMS\Core\Utility\ExtensionManagementUtility::addLLrefForTCAdescr('tx_a2gproducts_domain_model_filteroptions', 'EXT:a2g_products/Resources/Private/Language/locallang_csh_tx_a2gproducts_domain_model_filteroptions.xlf');
    \TYPO3\CMS\Core\Utility\ExtensionManagementUtility::allowTableOnStandardPages('tx_a2gproducts_domain_model_filteroptions');

    \TYPO3\CMS\Core\Utility\ExtensionManagementUtility::addLLrefForTCAdescr('tx_a2gproducts_domain_model_filtervalues', 'EXT:a2g_products/Resources/Private/Language/locallang_csh_tx_a2gproducts_domain_model_filtervalues.xlf');
    \TYPO3\CMS\Core\Utility\ExtensionManagementUtility::allowTableOnStandardPages('tx_a2gproducts_domain_model_filtervalues');

    \TYPO3\CMS\Core\Utility\ExtensionManagementUtility::addLLrefForTCAdescr('tx_a2gproducts_domain_model_ingredients', 'EXT:a2g_products/Resources/Private/Language/locallang_csh_tx_a2gproducts_domain_model_ingredients.xlf');
    \TYPO3\CMS\Core\Utility\ExtensionManagementUtility::allowTableOnStandardPages('tx_a2gproducts_domain_model_ingredients');
});

$pluginSignatures = [
    'a2gproducts_a2gproductslist' => 'flexform_list',
    'a2gproducts_a2gproductsdetail' => 'flexform_detail',
    'a2gproducts_ingredientslist' => 'flexform_ingredients_list',
    'a2gproducts_ingredientsdetail' => 'flexform_ingredients_detail'
];

foreach ($pluginSignatures as $pluginSignature => $flexform) {
    $GLOBALS['TCA']['tt_content']['types']['list']['subtypes_addlist'][$pluginSignature] = 'pi_flexform';
    \TYPO3\CMS\Core\Utility\ExtensionManagementUtility::addPiFlexFormValue($pluginSignature, 'FILE:EXT:a2g_products/Configuration/FlexForms/' . $flexform . '.xml');
}
/**
 * COMPOSER - load in ext used composer stuff
 */
//$composerAutoloadFile = \TYPO3\CMS\Core\Utility\ExtensionManagementUtility::extPath('webx_gs_map') . 'Resources/Private/PHP/autoload.php';
//require_once($composerAutoloadFile);

/**
 * SIGNAL SLOT - Canonical
 */
//$signalSlotDispatcher = \TYPO3\CMS\Core\Utility\GeneralUtility::makeInstance(\TYPO3\CMS\Extbase\SignalSlot\Dispatcher::class);
//$signalSlotDispatcher->connect(
//        \TYPO3\CMS\Seo\Canonical\CanonicalGenerator::class,
//        'beforeGeneratingCanonical',
//        \A2G\A2gProducts\Utility\CanonicalUtility::class,
//        'setCanonical'
//);
