CREATE TABLE tx_a2gproducts_domain_model_brands (
	title varchar(120) NOT NULL DEFAULT '',
	image int(11) unsigned NOT NULL DEFAULT '0',
        page_uid int(11) unsigned NOT NULL DEFAULT '0'
);

CREATE TABLE tx_a2gproducts_domain_model_products (
	nr varchar(80) NOT NULL DEFAULT '',
	title varchar(120) NOT NULL DEFAULT '',
	path_segment varchar(80) DEFAULT '' NOT NULL,
	description text NOT NULL DEFAULT '',
	description_html text NOT NULL DEFAULT '',
	image int(11) unsigned NOT NULL DEFAULT '0',
	images int(11) unsigned NOT NULL DEFAULT '0',
	gallery int(11) unsigned NOT NULL DEFAULT '0',
	seo_image1x1 int(11) unsigned NOT NULL DEFAULT '0',
	seo_image4x3 int(11) unsigned NOT NULL DEFAULT '0',
	seo_image16x9 int(11) unsigned NOT NULL DEFAULT '0',
	rel_category int(11) unsigned NOT NULL DEFAULT '0',
	rel_filter_values int(11) unsigned NOT NULL DEFAULT '0',
	rel_selectableattribute int(11) unsigned NOT NULL DEFAULT '0',
        rel_ingredients int(11) unsigned NOT NULL DEFAULT '0',
        rel_productvariants int(11) unsigned NOT NULL DEFAULT '0',
        rel_brand int(11) unsigned NOT NULL DEFAULT '0'
);

CREATE TABLE tx_a2gproducts_domain_model_productvariants (
	nr varchar(80) NOT NULL DEFAULT '',
	title varchar(120) NOT NULL DEFAULT '',
	path_segment varchar(80) DEFAULT '' NOT NULL,
	description text NOT NULL DEFAULT '',
	description_html text NOT NULL DEFAULT '',
	image int(11) unsigned NOT NULL DEFAULT '0',
	images int(11) unsigned NOT NULL DEFAULT '0',
	gallery int(11) unsigned NOT NULL DEFAULT '0',
	seo_image1x1 int(11) unsigned NOT NULL DEFAULT '0',
	seo_image4x3 int(11) unsigned NOT NULL DEFAULT '0',
	seo_image16x9 int(11) unsigned NOT NULL DEFAULT '0',
	rel_category int(11) unsigned NOT NULL DEFAULT '0',
	rel_filter_values int(11) unsigned NOT NULL DEFAULT '0',
	rel_selectableattribute int(11) unsigned NOT NULL DEFAULT '0',
    rel_ingredients int(11) unsigned NOT NULL DEFAULT '0',
    product int(11) unsigned NOT NULL DEFAULT '0',
    rel_brand int(11) NOT NULL DEFAULT '0',
    rel_sizes int(11) NOT NULL DEFAULT '0',
	tab_icon int(11) unsigned NOT NULL DEFAULT '0'
);
CREATE TABLE tx_a2gproducts_domain_model_productvariantsizes (
	nr varchar(80) NOT NULL DEFAULT '',
	title varchar(120) NOT NULL DEFAULT '',
	path_segment varchar(80) DEFAULT '' NOT NULL,
	description text NOT NULL DEFAULT '',
    productvariant int(11) unsigned NOT NULL DEFAULT '0'
);


CREATE TABLE tx_a2gproducts_domain_model_categories (
	title varchar(80) NOT NULL DEFAULT '',
	description varchar(255) NOT NULL DEFAULT '',
	image int(11) unsigned NOT NULL DEFAULT '0',
	rel_filters int(11) unsigned NOT NULL DEFAULT '0'
);

CREATE TABLE tx_a2gproducts_domain_model_filters (
	title varchar(80) NOT NULL DEFAULT '',
	filter_type int(11) NOT NULL DEFAULT '0',
	filter_output_type int(11) NOT NULL DEFAULT '0',
	db_operation_max int(11) NOT NULL DEFAULT '0',
	db_operation_min int(11) NOT NULL DEFAULT '0',
	rel_filter_option int(11) unsigned NOT NULL DEFAULT '0'
);

CREATE TABLE tx_a2gproducts_domain_model_filteroptions (
	filters int(11) unsigned DEFAULT '0' NOT NULL,
	title varchar(255) NOT NULL DEFAULT '',
	value_min double(11,2) NOT NULL DEFAULT '0.00',
	value_max double(11,2) NOT NULL DEFAULT '0.00'
);

CREATE TABLE tx_a2gproducts_domain_model_filtervalues (
	products int(11) unsigned DEFAULT '0' NOT NULL,
	productvariants int(11) unsigned DEFAULT '0' NOT NULL,
	value double(11,2) NOT NULL DEFAULT '0.00',
	rel_filters int(11) unsigned DEFAULT '0',
        rel_filter_option int(11) unsigned DEFAULT '0'
);

CREATE TABLE tx_a2gproducts_products_categories_mm (
	uid_local int(11) unsigned DEFAULT '0' NOT NULL,
	uid_foreign int(11) unsigned DEFAULT '0' NOT NULL,
	sorting int(11) unsigned DEFAULT '0' NOT NULL,
	sorting_foreign int(11) unsigned DEFAULT '0' NOT NULL,

	PRIMARY KEY (uid_local,uid_foreign),
	KEY uid_local (uid_local),
	KEY uid_foreign (uid_foreign)
);

CREATE TABLE tx_a2gproducts_productvariants_categories_mm (
	uid_local int(11) unsigned DEFAULT '0' NOT NULL,
	uid_foreign int(11) unsigned DEFAULT '0' NOT NULL,
	sorting int(11) unsigned DEFAULT '0' NOT NULL,
	sorting_foreign int(11) unsigned DEFAULT '0' NOT NULL,

	PRIMARY KEY (uid_local,uid_foreign),
	KEY uid_local (uid_local),
	KEY uid_foreign (uid_foreign)
);

CREATE TABLE tx_a2gproducts_categories_filters_mm (
	uid_local int(11) unsigned DEFAULT '0' NOT NULL,
	uid_foreign int(11) unsigned DEFAULT '0' NOT NULL,
	sorting int(11) unsigned DEFAULT '0' NOT NULL,
	sorting_foreign int(11) unsigned DEFAULT '0' NOT NULL,

	PRIMARY KEY (uid_local,uid_foreign),
	KEY uid_local (uid_local),
	KEY uid_foreign (uid_foreign)
);

CREATE TABLE tx_a2gproducts_domain_model_ingredients(
	title varchar(80) NOT NULL DEFAULT '',
	path_segment varchar(80) DEFAULT '' NOT NULL,
	description text NOT NULL DEFAULT '',
	image int(11) unsigned NOT NULL DEFAULT '0',
	images int(11) unsigned NOT NULL DEFAULT '0',
	gallery int(11) unsigned NOT NULL DEFAULT '0',
    rel_products int(11) unsigned NOT NULL DEFAULT '0',
    rel_productvariants int(11) unsigned NOT NULL DEFAULT '0'
);

CREATE TABLE tx_a2gproducts_products_ingredients_mm (
	uid_local int(11) unsigned DEFAULT '0' NOT NULL,
	uid_foreign int(11) unsigned DEFAULT '0' NOT NULL,
	sorting int(11) unsigned DEFAULT '0' NOT NULL,
	sorting_foreign int(11) unsigned DEFAULT '0' NOT NULL,

	PRIMARY KEY (uid_local,uid_foreign),
	KEY uid_local (uid_local),
	KEY uid_foreign (uid_foreign)
);

CREATE TABLE tx_a2gproducts_productvarinats_ingredients_mm (
	uid_local int(11) unsigned DEFAULT '0' NOT NULL,
	uid_foreign int(11) unsigned DEFAULT '0' NOT NULL,
	sorting int(11) unsigned DEFAULT '0' NOT NULL,
	sorting_foreign int(11) unsigned DEFAULT '0' NOT NULL,

	PRIMARY KEY (uid_local,uid_foreign),
	KEY uid_local (uid_local),
	KEY uid_foreign (uid_foreign)
);

CREATE TABLE sys_file (
	images int(11) unsigned DEFAULT '0' NOT NULL
);

CREATE TABLE tx_a2gtoolkit_masonry_item (
	a2g_ingredients int(11) unsigned DEFAULT '0' NOT NULL,
	a2g_products int(11) unsigned DEFAULT '0' NOT NULL,
	a2g_productvariants int(11) unsigned DEFAULT '0' NOT NULL,
);

CREATE TABLE tx_a2gproducts_domain_model_selectableattribute (
	products int(11) unsigned DEFAULT '0' NOT NULL,
	productvariants int(11) unsigned DEFAULT '0' NOT NULL,
	rel_filters int(11) unsigned DEFAULT '0',
        rel_filter_option int(11) unsigned DEFAULT '0',
        title varchar(80) DEFAULT '' NOT NULL,
);