<?php

/*
 * Click nbfs://nbhost/SystemFileSystem/Templates/Licenses/license-default.txt to change this license
 * Click nbfs://nbhost/SystemFileSystem/Templates/Scripting/PHPClass.php to edit this template
 */

namespace A2G\A2gProducts\Domain\Traits;

use A2G\A2gProducts\Domain\Repository\CategoriesRepository;

/**
 * Description of InjectCategoriesRepositoryTrait
 *
 * @author Raphael Martin
 */
trait InjectCategoriesRepositoryTrait {
    
    /**
     * 
     * @var CategoriesRepository
     */
    protected $categoriesRepository = null;

    /**
     * @param CategoriesRepository $categoriesRepository
     */
    public function injectCategoriesRepository(CategoriesRepository $categoriesRepository) {
        $this->categoriesRepository = $categoriesRepository;
    }

}
