<?php

namespace A2G\A2gProducts\Domain\Traits;

use A2G\A2gProducts\Domain\Repository\IngredientsRepository;

/**
 * Description of InjectIngredientsRepositoryTrait
 *
 * @author Raphael Martin
 */
trait InjectIngredientsRepositoryTrait {
    
    /**
     * 
     * @var IngredientsRepository
     */
    protected $ingredientsRepository = null;

    /**
     * @param IngredientsRepository $ingredientsRepository
     */
    public function injectIngredientsRepository(IngredientsRepository $ingredientsRepository) {
        $this->ingredientsRepository = $ingredientsRepository;
    }

}
