<?php

/*
 * Click nbfs://nbhost/SystemFileSystem/Templates/Licenses/license-default.txt to change this license
 * Click nbfs://nbhost/SystemFileSystem/Templates/Scripting/PHPClass.php to edit this template
 */

namespace A2G\A2gProducts\Domain\Traits;

use A2G\A2gProducts\Domain\Repository\ProductsRepository;

/**
 * Description of InjectProductsRepositoryTrait
 *
 * @author Raphael Martin
 */
trait InjectProductsRepositoryTrait {
    
    /**
     * 
     * @var ProductsRepository
     */
    protected $productsRepository = null;

    /**
     * @param ProductsRepository $productsRepository
     */
    public function injectProductsRepository(ProductsRepository $productsRepository) {
        $this->productsRepository = $productsRepository;
    }

}
