<?php
defined('TYPO3_MODE') || die();

\TYPO3\CMS\Extbase\Utility\ExtensionUtility::registerPlugin(
    'A2gProducts',
    'A2gproductslist',
    'Product List'
);

\TYPO3\CMS\Extbase\Utility\ExtensionUtility::registerPlugin(
    'A2gProducts',
    'A2gproductsdetail',
    'Product Detail'
);

\TYPO3\CMS\Extbase\Utility\ExtensionUtility::registerPlugin(
    'A2gProducts',
    'Ingredientslist',
    'Ingredients List'
);

\TYPO3\CMS\Extbase\Utility\ExtensionUtility::registerPlugin(
    'A2gProducts',
    'Ingredientsdetail',
    'Ingredients Detail'
);

$pluginSignatures = [
    'a2gproducts_a2gproductslist' => 'flexform_list',
    'a2gproducts_a2gproductsdetail' => 'flexform_detail',
    'a2gproducts_ingredientslist' => 'flexform_ingredients_list',
    'a2gproducts_ingredientsdetail' => 'flexform_ingredients_detail'
];

foreach ($pluginSignatures as $pluginSignature => $flexform) {
    $GLOBALS['TCA']['tt_content']['types']['list']['subtypes_excludelist'][$pluginSignature]='pages,layout,select_key,recursive';

    $GLOBALS['TCA']['tt_content']['types']['list']['subtypes_addlist'][$pluginSignature]='pi_flexform';

    \TYPO3\CMS\Core\Utility\ExtensionManagementUtility::addPiFlexFormValue(
        $pluginSignature,
        'FILE:EXT:a2g_products/Configuration/FlexForms/'.$flexform.'.xml'
    );
}

/**
 * typo3 12
 *
$pluginSignature = \TYPO3\CMS\Extbase\Utility\ExtensionUtility::registerPlugin(
    'A2gMaps',
    'map',
    'Map'
);
$GLOBALS['TCA']['tt_content']['types']['list']['subtypes_addlist'][$pluginSignature]
    = 'pi_flexform';
ExtensionManagementUtility::addPiFlexFormValue(
    $pluginSignature,
    'FILE:EXT:a2g_maps/Configuration/FlexForms/flexform_map.xml'
);  
*/