var a2gProductsSwiper = {
    a2gCardSwiper: null,
    initCardSwiper: function (_this) {
        _this.a2gCardSwiper = new Swiper(".a2g-products-swiper-card", {
            slidesPerView: 1,
            spaceBetween: 10,
            autoHeight: false,
            loop: true,
            init: true,
            freeMode: false,
            observer: true,
            resizeObserver: true,
            setWrapperSize: true,
            preloadImages: true,
            autoplay: {
                delay: 7000,
                disableOnInteraction: true
            },
            pagination: {
                el: ".swiper-pagination",
                clickable: true
            },
            breakpoints: {
                640: {
                    slidesPerView: 2,
                    spaceBetween: 15
                },
                1024: {
                    slidesPerView: 3,
                    spaceBetween: 30
                }
            }
        });
        
    },
    a2gImageSwiper: null,
    a2gImageThumbSwiper: null,
    initImageSwiper: function (_this) {
        var sliders = document.getElementsByClassName("a2g-products-swiper-images-wrap");
        _this.a2gImageThumbSwiper = [];
        _this.a2gImageSwiper = [];
        for (var i = 0; i < sliders.length; i++) {
            _this.a2gImageThumbSwiper[i] = new Swiper('#' + sliders[i].querySelector(".a2g-products-swiper-images-thumb").id, {
                loop: true,
                spaceBetween: 10,
                slidesPerView: 4,
                freeMode: false,
                autoHeight: false,
                watchSlidesProgress: true,
                setWrapperSize: true,
                preloadImages: true,
                observer: true,
                resizeObserver: true
            });
            _this.a2gImageSwiper[i] = new Swiper('#' + sliders[i].querySelector(".a2g-products-swiper-images").id, {
                loop: true,
                spaceBetween: 10,
                autoHeight: true,
                freeMode: false,
                observer: true,
                resizeObserver: true,
                setWrapperSize: true,
                preloadImages: true,
                effect: 'slide',
                thumbs: {
                    swiper: _this.a2gImageThumbSwiper[i]
                }
            });
        }
    },
    init: function () {
        var _this = this;
        _this.initCardSwiper(_this);
        _this.initImageSwiper(_this);
        document.addEventListener('DOMContentLoaded', function () {
            _this.a2gCardSwiper.init();
            for (var i = 0; i < _this.a2gImageThumbSwiper.length; i++) {
                _this.a2gImageSwiper[i].init();
                _this.a2gImageThumbSwiper[i].init();
            }
        });

    }
};

a2gProductsSwiper.init();